|
马上注册,查询更多机械资源,享用更多功能,轻松畅享机械设计招标网。
您需要 登录 才可以下载或查看,没有账号?注册
×
本帖最后由 正树 于 2017-5-2 18:24 编辑
- Dim swApp As Object
- Dim Part As Object
- Dim SelMgr As Object
- Dim boolstatus As Boolean
- Dim longstatus As Long, longwarnings As Long
- Dim Feature As Object
- Dim a As Integer
- Dim b As String
- Dim m As String
- Dim e As String
- Dim k As String
- Dim t As String
- Dim c As String
- Dim j As Integer
- Dim strmat As String
- Dim tempvalue As String
- Sub main()
- 'link solidworks
- Set swApp = Application.SldWorks
- Set Part = swApp.ActiveDoc
- Set SelMgr = Part.SelectionManager
- swApp.ActiveDoc.ActiveView.FrameState = 1
- '设定变量
- c = swApp.ActiveDoc.GetTitle() '零件名
- strmat = Chr(34) + Trim("SW-Material" + "@") + c + Chr(34)
- blnretval = Part.DeleteCustomInfo2("", "代号")
- blnretval = Part.DeleteCustomInfo2("", "名称")
- blnretval = Part.DeleteCustomInfo2("", "材料")
- a = InStr(c, " ") - 1 '重点:分隔标识符,这里是一个空格
- If a > 0 Then
- k = Left(c, a)
- t = Left(LTrim(e), 3)
- If t = "GBT" Then
- e = "GB/T" + Mid(k, 4)
- Else
- e = k
- End If
- b = Mid(c, a + 2)
- t = Right(c, 7)
- If t = ".SLDPRT" Or t = ".SLDASM" Then
- j = Len(b) - 7
- Else
- j = Len(b)
- End If
- m = Left(b, j)
- End If
- blnretval = Part.AddCustomInfo3("", "代号", swCustomInfoText, e) '代号
- blnretval = Part.AddCustomInfo3("", "名称", swCustomInfoText, m) '名称
- blnretval = Part.AddCustomInfo3("", "表面处理", swCustomInfoText, " ")
- End Sub
复制代码
|
|